WordPress Vulnerabilities

Version Added Title
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.4 2014-11-25 WordPress <= 4.0 - CSRF in wp-login.php Password Reset
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.1 2014-08-01 WordPress 3.7.1 & 3.8.1 Potential Authentication Cookie Forgery
3.8.1 2014-08-01 WordPress 3.7.1 & 3.8.1 Privilege escalation: contributors publishing posts
3.8 2014-08-01 WordPress 3.7.1 & 3.8 - Cleartext Admin Credentials Disclosure
3.3.2 2014-08-01 WordPress Plupload Unspecified XSS
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.1 2014-09-16 WordPress 3.6 - 3.9.1 XXE in GetID3 Library
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
4.0.1 2015-04-21 WordPress <= 4.1.1 - Unauthenticated Stored Cross-Site Scripting (XSS)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.1 2014-09-16 WordPress 3.6 - 3.9.1 XXE in GetID3 Library
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
4.0.1 2015-04-21 WordPress <= 4.1.1 - Unauthenticated Stored Cross-Site Scripting (XSS)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.8.5 2015-08-04 WordPress <= 4.2.3 - wp_untrash_post_comments SQL Injection
3.8.5 2015-08-05 WordPress <= 4.2.3 - Timing Side Channel Attack
3.8.3 2015-08-05 WordPress <= 4.2.3 - Widgets Title Cross-Site Scripting (XSS)
4.0.1 2015-08-05 WordPress <= 4.2.3 - Nav Menu Title Cross-Site Scripting (XSS)
3.8.5 2015-08-05 WordPress <= 4.2.3 - Legacy Theme Preview Cross-Site Scripting (XSS)
4.2.4 2015-09-15 WordPress <= 4.3 - Authenticated Shortcode Tags Cross-Site Scripting (XSS)
4.3 2015-09-15 WordPress <= 4.3 - User List Table Cross-Site Scripting (XSS)
4.2.2 2015-09-15 WordPress <= 4.3 - Publish Post & Mark as Sticky Permission Issue
3.9.3 2016-01-06 WordPress 3.7-4.4 - Authenticated Cross-Site Scripting (XSS)
4.2.3 2016-02-02 WordPress 3.7-4.4.1 - Local URIs Server Side Request Forgery (SSRF)
4.1.1 2016-02-02 WordPress 3.7-4.4.1 - Open Redirect
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.8.5 2016-05-06 WordPress <= 4.5.1 - Pupload Same Origin Method Execution (SOME)
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.6 2017-11-30 WordPress 3.7-4.9 - 'newbloguser' Key Weak Hashing
4.8.4 2018-01-17 WordPress 3.7-4.9.1 - MediaElement Cross-Site Scripting (XSS)
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.1 2018-04-04 WordPress 3.7-4.9.4 - Remove localhost Default
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Use Safe Redirect for Login
4.8.4 2018-04-04 WordPress 3.7-4.9.4 - Escape Version in Generator Tag
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.1 2014-09-16 WordPress 3.6 - 3.9.1 XXE in GetID3 Library
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.6 2014-08-01 WordPress 3.6 - PHP Object Injection
3.6 2014-08-01 WordPress 3.6 SWF/EXE File Upload XSS Weakness
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.6 2014-08-01 WordPress 3.6 Post Authorship Spoofing
3.6 2014-08-01 WordPress 3.6 HTML File Upload XSS Weakness
3.6 2014-08-01 WordPress 3.6 Multiple Function Path Disclosure
3.6 2014-08-01 WordPress 3.6 Multiple Script Arbitrary Site Redirect
3.6 2014-08-01 WordPress 3.6 _wp_http_referer Parameter Reflected XSS
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.1 2014-09-16 WordPress 3.6 - 3.9.1 XXE in GetID3 Library
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
4.5.1 2016-06-21 WordPress 3.6-4.5.2 - Authenticated Revision History Information Disclosure
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7.2 2017-03-07 WordPress 3.6.0-4.7.2 - Authenticated Cross-Site Scripting (XSS) via Media Fi...
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.5.2 2014-08-01 WordPress 3.5.2 Media Library Multiple Function Path Disclosure
3.5.2 2014-08-01 WordPress 3.5.2 - SWFUpload Content Spoofing
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.5.1 2014-08-01 Wordpress 3.4 - 3.5.1 /wp-admin/users.php Malformed s Parameter Path Disclosure
3.5.1 2014-08-01 WordPress 3.4-3.5.1 DoS in class-phpass.php
3.5.1 2014-08-01 WordPress 3.5.1 Multiple XSS
3.5.1 2014-08-01 WordPress 3.5.1 TinyMCE Plugin Flash Applet Unspecified Spoofing Weakness
3.5 2014-08-01 WordPress 3.5-3.5.1 oEmbed Unspecified XML External Entity (XXE)
3.5.1 2014-08-01 WordPress 3.5-3.5.1 Multiple Role Remote Privilege Escalation
3.5.1 2014-08-01 WordPress 3.5-3.5.1 HTTP API Unspecified Server Side Request Forgery (SSRF)
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.5.1 2014-08-01 Wordpress 3.4 - 3.5.1 /wp-admin/users.php Malformed s Parameter Path Disclosure
3.4.2 2014-08-01 WordPress 3.4 - 3.5.1 DoS in class-phpass.php
3.3.2 2014-08-01 WordPress 3.3.2 - 3.5 Cross-Site Scripting (XSS) (Issue 3)
2.0.8 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC Pingback API Internal/External Port Scanning
3.4.1 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC pingback additional issues
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.5 2014-08-01 WordPress 3.5 Shortcodes / Post Content Multiple Unspecified XSS
3.3.2 2014-08-01 WordPress Plupload Unspecified XSS
3.8 2014-08-27 WordPress 3.5 - 3.7.1 XML-RPC DoS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.5 2014-08-01 WordPress 3.5-3.5.1 oEmbed Unspecified XML External Entity (XXE)
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.1.13 2017-01-26 WordPress 3.5-4.7.1 - WP_Query SQL Injection
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.5.1 2014-08-01 Wordpress 3.4 - 3.5.1 /wp-admin/users.php Malformed s Parameter Path Disclosure
3.4.2 2014-08-01 WordPress 3.4 - 3.5.1 DoS in class-phpass.php
3.3.2 2014-08-01 WordPress 3.3.2 - 3.5 Cross-Site Scripting (XSS) (Issue 3)
3.4.2 2014-08-01 WordPress 3.4.2 Cross Site Request Forgery
2.0.8 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC Pingback API Internal/External Port Scanning
3.4.1 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC pingback additional issues
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.3.2 2014-08-01 WordPress Plupload Unspecified XSS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.9.2 2014-09-17 WordPress 3.4.2 - 3.9.2 Does Not Invalidate Sessions Upon Logout
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion
3.5.1 2014-08-01 Wordpress 3.4 - 3.5.1 /wp-admin/users.php Malformed s Parameter Path Disclosure
3.4.2 2014-08-01 WordPress 3.4 - 3.5.1 DoS in class-phpass.php
3.3.2 2014-08-01 WordPress 3.3.2 - 3.5 Cross-Site Scripting (XSS) (Issue 3)
2.0.8 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC Pingback API Internal/External Port Scanning
3.4.1 2014-08-01 WordPress 1.5.1 - 3.5 XMLRPC pingback additional issues
3.0.2 2014-08-01 WordPress 3.0 - 3.6 Crafted String URL Redirect Restriction Bypass
3.3.2 2014-08-01 WordPress Plupload Unspecified XSS
3.8.3 2014-09-16 WordPress 2.0.3 - 3.9.1 (except 3.7.4 / 3.8.4) CSRF Token Brute Forcing
3.9.1 2014-09-16 WordPress 3.0 - 3.9.1 Authenticated Cross-Site Scripting (XSS) in Multisite
3.8.1 2014-11-20 WordPress 3.0-3.9.2 - Unauthenticated Stored Cross-Site Scripting (XSS)
4.0 2014-11-20 WordPress <= 4.0 - Long Password Denial of Service (DoS)
3.6.1 2014-11-30 WordPress <= 4.0 - Server Side Request Forgery (SSRF)
3.9.6 2015-07-23 WordPress <= 4.2.2 - Authenticated Stored Cross-Site Scripting (XSS)
3.4 2016-04-28 WordPress <= 4.4.2 - SSRF Bypass using Octal & Hexedecimal IP addresses
3.8.6 2016-04-28 WordPress <= 4.4.2 - Reflected XSS in Network Settings
4.4.2 2016-04-28 WordPress <= 4.4.2 - Script Compression Option CSRF
3.4 2016-06-21 WordPress 2.6.0-4.5.2 - Unauthorized Category Removal from Post
4.6 2016-09-08 WordPress 2.5-4.6 - Authenticated Stored Cross-Site Scripting via Image Filename
4.6 2016-09-08 WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader
3.8.5 2017-01-12 WordPress 2.9-4.7 - Authenticated Cross-Site scripting (XSS) in update-core.php
3.7.2 2017-01-12 WordPress 3.4-4.7 - Stored Cross-Site Scripting (XSS) via Theme Name fallback
4.4.5 2017-01-12 WordPress <= 4.7 - Post via Email Checks mail.example.com by Default
4.4 2017-01-12 WordPress 2.8-4.7 - Accessibility Mode Cross-Site Request Forgery (CSRF)
4.5.1 2017-01-12 WordPress 3.0-4.7 - Cryptographically Weak Pseudo-Random Number Generator (PRNG)
4.7 2017-03-07 WordPress 2.8.1-4.7.2 - Control Characters in Redirect URL Validation
4.8.3 2017-05-05 WordPress 2.3-4.8.3 - Host Header Injection in Password Reset
4.1.6 2017-05-17 WordPress 2.7.0-4.7.4 - Insufficient Redirect Validation
3.8.5 2017-05-17 WordPress 2.5.0-4.7.4 - Post Meta Data Values Improper Handling in XML-RPC
4.5.2 2017-05-17 WordPress 3.4.0-4.7.4 - XML-RPC Post Meta Data Lack of Capability Checks
4.7 2017-05-17 WordPress 2.5.0-4.7.4 - Filesystem Credentials Dialog CSRF
4.5.8 2017-05-17 WordPress 3.3-4.7.4 - Large File Upload Error XSS
4.6.4 2017-05-17 WordPress 3.4.0-4.7.4 - Customizer XSS & CSRF
4.8.1 2017-09-20 WordPress 2.3.0-4.8.1 - $wpdb->prepare() potential SQL Injection
3.8.5 2017-09-20 WordPress 2.3.0-4.7.4 - Authenticated SQL injection
4.5.8 2017-09-25 WordPress 2.9.2-4.8.1 - Open Redirect
4.7.3 2017-09-25 WordPress 3.0-4.8.1 - Path Traversal in Unzipping
4.8 2017-10-31 WordPress <= 4.8.2 - $wpdb->prepare() Weakness
4.9 2017-11-30 WordPress 2.8.6-4.9 - Authenticated JavaScript File Upload
4.7.7 2017-11-30 WordPress 1.5.0-4.9 - RSS and Atom Feed Escaping
4.1.8 2018-02-05 WordPress <= 4.9.4 - Application Denial of Service (DoS) (unpatched)
4.9.5 2018-06-27 WordPress <= 4.9.6 - Authenticated Arbitrary File Deletion